/*
---------------------
------ General ------
---------------------
*/

@font-face {
    font-family: "neon_4";
    src: url("../fonts/neon_4/neon.ttf") format("truetype");
}


@font-face {
    font-family: "Roboto_Slab";
    src: url("../fonts/Roboto_Slab/RobotoSlab-VariableFont_wght.ttf") format("truetype");
}

body {
    background-image: url("../images/fond.jpeg");
}

.main-wrapper {
    float:left;
    width:70%;
    padding:50px;
    background-color: white;

}

.container1 {
    /*height:max-content;*/
    margin-top: 50px;
}

.container1-employe {
    margin-top: 50px;
    padding-left: 19px;
    padding-right: 19px;
}
/*-----------------------------
------- Style Bootstrap -------
-------------------------------*/
.tableau {
    /*margin-left: 50px;*/
    /*margin-right: 50px;*/
}

.table > tbody > tr > td {
    vertical-align: middle;
}

.fixed-table-container {
    border:0;
}

.table:last-child {
    border:none !important;
}

.col-sm {
    display:inline-block;
}

.card li {
    list-style: none;
    font-family: Roboto_Slab, serif;
    background: -webkit-gradient(linear, left top, right top, from(#5f0787), to(#ee096b));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.card {
    border:1px solid #f3d9ff;
    border-radius:4px;
    background-color:white;
    font-family: Roboto_Slab, serif;
    margin:10px;
    margin-bottom:20px;


}

.card-img-top {
    vertical-align: top;
    width:70px;
    margin: 10px;

}

.card-footer {
    margin-left: 80px;
    padding-bottom: 13px;
    margin-top: -40px;

}

.card h5 {
    color:#2b2c31;

}

.btn {
    width: 200px;
    text-transform: uppercase;
    background-color: #acabab;
    border-color: #acabab;
    font-weight: bold;
}

.btn:active {
    color:white;
    background-color: black;
}

.btn.focus, .btn:focus, .btn:hover .row form {
    padding-left: 0;
    padding-right: 0;
    color:white;
    background-color: black;
}

.form-select {
    width: 403px;
    border: 2px solid black;
    border-radius: 6px;
    padding-top: 5px;
    padding-bottom: 5px;
}

.row {
    margin:auto;
}

.input-group {
    position:initial;
}
/*------------------------------
-----------CSS commun ----------
--------------------------------

--------------------------------
------ Tableau des taches ------
--------------------------------
*/

#tableau_tache  tr td{
    background-color:white;
    border-top:1px solid #f3d9ff; !important;
    border-bottom:1px solid #f3d9ff;
}

#tableau_tache  tr td:first-child {
    border-left:1px solid #f3d9ff;
    border-top-left-radius:3px;
    border-bottom-left-radius: 3px;
}

#tableau_tache tr td:last-child {
    border-right:1px solid #f3d9ff;
    border-top-right-radius:3px;
    border-bottom-right-radius: 3px;
}

#tableau_tache .statut img {
    opacity: 0.33;
    padding-right: 20px;
    width: 35px;
}

#tableau_tache .statut {
   padding:0;
}

#tableau_tache .score {
    background-color: white;
    padding-bottom: 0;
}

#tableau_tache {
    width:100%;
    border-collapse : separate;
    border-spacing: 0 10px;
}

#tableau_tache .score, .date {
    color: #b30876;
    font-family: neon_4, serif;
    font-size:20px;
}

#tableau_tache tr {
    margin: 5px;
    padding-bottom:5px;
    vertical-align: middle;
}

#tableau_tache .score strong {
    font-weight: bold;
    display: block;
    margin-left: 0;
    text-align: center;
    font-style: italic;
    font-size: 26px;
    margin-right: 0;
    line-height: 10px;
}

#tableau_tache .score p {
    text-align: center;
    margin-bottom: 0;
}

#tableau_tache #profil-tache a {
   text-align:right;
    padding: 0;
    top: 2px;
    width: 50%;
    height: 100px;
    margin-bottom: 0;
    padding-left: 0;
    padding-right: 0;
}

#tableau_tache .profil-tache {
    text-align:center;
    vertical-align: middle;
}

#tableau_tache .responsable {
    font-family: neon_4, serif;
    color:black;
    font-size:20px;
}

#tableau_tache .nom {
    font-weight: lighter;
    font-size:12px;
   vertical-align: center;
}

#tableau_tache #responsable-tableau img{
    width:30px;
    margin-right:10px;
}

#tableau_tache .profil-tache img {
    width: 15px;
}
/* -------------------------- */
/* ------- employés ----------*/
/* -------------------------- */
.card-employe {
    background-color: white;
    margin-right:13px;
    margin-left:13px;
}

.card #card_name {
    margin-left: 95px;
    text-align: left;
    font-weight: bold;
    font-size: 16px;
    margin-top: -70px;
}

.card #card_score {
    font-size: 20px;
    width: 74px;
    text-align: center;
    font-weight: bold;
    margin-left: -35px;
    margin-top: 5px;
}

.card #card_score strong {
    font-style: italic;
    font-weight: bold;
    display: block;
    line-height: 15px;
}

.card #card_score p {
    font-size: 15px;
    line-height: 18px;
    margin-bottom: 15px;
}

.card #card_pseudo {
    width: auto;
    padding-left: 19px;
    padding-right: 19px;
    margin-left: 36px;
}

.card .card-link-modif {
    width:100%;
    border-radius: 6px 0 0 6px;
    padding: 22px;
    margin-left: 20px;
}

.card .card-link-modif img {
    width: 15px;
}

.card .card-link-suppr img {
    width: 14px;
}

.card .card-link-suppr {
    padding: 22px;
    text-decoration:none;
    width:100%;
    border-radius: 0 6px 6px 0;
    margin-left: 11px;
}

.card  #checkbox_employe {
    float: right;
    margin-top: -37px;
    margin-right: 10px;
}

/*----------------------------
---------- Cadeaux -----------
------------------------------
*/


#cadeau #visuel_cadeau img {
    width: 90%;
    border-radius: 3px;
    margin-left: 44px;
    margin-right:44px;
}

.label_visuel, .envoi_image {
    text-transform: uppercase;
    background: linear-gradient(to  right, #5f0787, #ee096b);
    border:none;
    color: white;
    border-radius: 3px;
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 10px;
    padding-left: 30px;
    padding-right: 30px;
    font-weight: bold;
    display: inline-block;
    margin-left: 44px;
    margin-top: 0;
    margin-bottom: 0;
    margin-right: 0;
}

.envoi_image {
    margin-left:0;
}

.label_visuel:hover, .envoi_image:hover {
    color:black;
}

#bouton_visuel, #bouton_image_submit {
       display: none;
}

#cadeau form {
    margin-bottom:0;
}

#cadeau #bouton_image_submit {
}

#cadeau #bouton_visuel:hover {
    color: black;
}

#cadeau #visuel_cadeau {
    width: 100%;
    margin: auto;
}

/*------------------------
------ Formulaires -------
--------------------------
*/

.false_card {
    box-shadow: 0 0 4px 0 black;
    padding-bottom: 100px;
    border-radius:3px;
    background-color:white;
    font-family: Roboto_Slab, serif;
    padding-top: 21px;
    margin: auto;
    padding-right: 30px;
    padding-left: 30px;
    width: 55%;
}

.false_card h2 {
    padding-top: 0;
    font-size: 20px;
    margin-bottom:20px;
    margin-left: 0;
}

.false_card input {
    border:2px solid black;
    border-radius:6px;
    padding:6px;
}

.false_card label {
    display: block;
    font-size:10px;
}

.false_card #score {
    width: 70px;
}

.false_card #points {
    width: 100px;
}

.false_card #description {
    width: 317px;
}

.false_card #description_tache {
    margin-right: 0px;
    width: 310px;
    margin-top: -56px;
    margin-left: 100px;
}

.false_card #description_tache input {
    margin-right: 0;
    padding-top: 6px;
    padding-right: 6px;
    width: 300px;
    margin-left: 0;
}

.false_card #type {
    margin-top: 20px;
    margin-right: 0;
}

.false_card #type_tache {
    margin-bottom:10px;
}

.false_card #type img {
    filter: invert(100%);
    width:13px;
    margin-right:10px;
}

.false_card #date {
    margin-top: 15px;
}

.false_card #date input {
    width: 403px;
    margin-top:0;
    padding: 6px;
    padding-right:0;
    margin-left: 0;
}

.false_card #annulation_tache {
    color: black;
    font-size: 10px;
    font-weight: bold;
}

.false_card #annulation_tache input {
    float: right;
    text-transform: uppercase;
    background-color: #fbf2ff;
    border:none;
    margin-top: 20px;
    margin-right: 12px;
    border-radius: 6px;
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 10px;
    padding-left: 30px;
    padding-right: 30px;
}

.false_card #annulation_tache input {
    float: right;
    text-transform: uppercase;
    background-color: #fbf2ff;
    border:none;
    margin-top: 20px;
    margin-right: 12px;
    font-size: 10px;
    padding: 7px 40px 7px 40px;
    border-radius: 3px;
}
.false_card #validation_tache input {
    float:right;
    color: white;
    font-size: 10px;
    font-weight: bold;
    text-transform: uppercase;
    background: linear-gradient(to  right, #5f0787, #ee096b);
    border:none;
    margin-top: 20px;
    padding: 7px 40px 7px 40px;
    margin-right: 2px;
    border-radius: 3px;
}

.false_card #type_tache .btn-success:active,.btn-success:focus {
    color:white;
    background-color:black;
}

.false_card #type_tache label:active:focus{
    color:white;
    background-color: black;
}

.false_card #type .btn:focus {
    color:white;
    background-color: black;
}

/*
--------------------------
--- Formulaire commun ---
--------------------------
*/
#annulation_employe, #annulation_tache{
    color: black;
    font-size: 10px;
    font-weight: bold;
}

/*
------------------------
-- Formulaire employe --
------------------------
*/

.false_card #prenom {
    margin-top:10px;
    display: inline-block;
    margin-left: -2px;
}

.false_card #prenom input {
    margin-top: 0;
}

.false_card #nom {
    margin-top:10px;
    display: inline-block;
    margin-right: 10px;
}

.false_card #nom input {
    margin-left:0;
    margin-right: 0;
}

.false_card #pseudo {
    margin-top:10px;
    display: inline-block;
    margin-left: 0;

}

.false_card #pseudo input {
    margin-top:0;
    padding-right: 6px;
}

.false_card #points_employe {
    margin-top:10px;
    display: inline-block;
    margin-left: 7px;
}

.false_card #validation_employe input {
    float: right;
    color: white;
    font-size: 10px;
    font-weight: bold;
    text-transform: uppercase;
    background: linear-gradient(to  right, #5f0787, #ee096b);
    border:none;
    margin-top: 20px;
    padding: 7px 40px 7px 40px;
    border-radius: 3px;
    margin-right: 5px;
}

.false_card #annulation_employe input {
    text-transform: uppercase;
    background-color: #fbf2ff;
    border:none;
    margin-top: 20px;
    font-size: 10px;
    padding: 7px 40px 7px 40px;
    border-radius: 3px;
    margin-right: 0;
    margin-left: -67px;
}

.false_card #groupe_boutons{
    margin-left: 200px;
}

.false_card #score_employe {
    width: 197px;
    padding-right: 2px;
    margin-right: 5px;
}

/*
----------------------------
--------- Admin VT ---------
----------------------------
*/
@media only screen and (min-device-width : 481px) and (max-device-width : 768px) {
    #multiple_suppr {
        display: none;
    }

    .col-sm {
        margin-right: 0;
        margin-left: 0;
    }

    .container1 {
        margin-left: 0;
        margin-top: 0;
    }

    .container1-employe {
        padding-left: 59px;
        padding-right: 59px;
        margin-top:20px;
    }

    .sidebar {
        position: fixed;
        float: none;
        background-image: url("../images/fond.jpeg");
        width: 100%;
        bottom: 0;
    }

    .sidebar a {
        display: none;
    }

    .sidebar .nav img {
        display: none;
    }

    .sidebar .nav-item{
        width: 25%;
        display: inline-block;
        margin-top: 10px;
        text-align:center;
    }

    .sidebar .nav-item:first-child, .nav-item:last-child {
        margin-left: 6%;
        margin-right: 5%;
    }

    .main-wrapper {
        width: 100%;
        padding-left: 50px;
        padding-right: 50px;
    }

    .nav-pills {
        float: none;
    }

    .sidebar .nav {
        width: 100%;
    }

    .sidebar ul {
        margin-right: auto;
        margin-left:auto;
    }

    #cadeau #visuel_cadeau img {
        margin-left: 0;
        margin-right: 0;
        width:100%;
    }

    #cadeau label {
        margin-left:0;
    }

    #cadeau #bouton_visuel {
        margin-right: 0;
        margin-left: 0;
    }

    .false_card {
        width: 100%;
    }

    .false_card #points {
        display: block;
        width: 100%;
    }

    .false_card #points input {
        width: 100%;
    }

    .input-group {
        width: 100%;
    }

    .false_card #description_tache {
        float :none;
        margin-top: 10px;
        margin-left: 0;
        width: 100%;
    }

    .false_card #description_tache input {
        width: 100%;
    }

    #ajout_tache_form input {
        width: 100%;
    }

    .false_card #type label {
        padding-right: 0;
        padding-left: 0;
    }

    .false_card #type_tache {
        width: 100%;
    }

    .false_card #type_tache .btn {
        width: 50%;
    }

    .false_card #responsable_tache select {
        width:100%;
    }

    .false_card #date input {
        width:100%;
    }

    .false_card #annulation_tache {
        width: 50%;
        margin-top: -49px;
        float:left;
    }

    .false_card #validation_tache input {
        margin-top: 10px;
        width:50%;
    }

    .false_card #nom, .false_card #prenom, .false_card #pseudo, .false_card #points_employe {
        display:block;
        margin-left:0;
        margin-right:0;
        width:100%;
    }

    .false_card #points_employe input {
        width:100%;
    }

    .false_card #validation_employe input {
        margin-right:0;
        float:right;
    }

    .false_card #annulation_employe input {
        float:right;
        margin-left: 0;
        margin-right: 123px;
        margin-top: -28px;
    }
}
/*
-----------------------------
--------- admin VM ----------
-----------------------------
*/
@media only screen and (min-device-width : 200px) and (max-device-width : 480px) {

    #multiple_suppr {
        display: none;
    }

    .col-sm {
        margin-right: 0;
        margin-left: 0;
    }

    .container1-employe {
        padding-left: 30px;
        padding-right: 30px;
    }

    .ajout_mobile {
        width: 100%;
        margin-right: 0;
        padding-left: 0;
        padding-right: 0;
    }
    .sidebar {
        position: fixed;
        float:none;
        background-image: url("../images/fond.jpeg");
        width: 100%;
        bottom: 0;
        z-index: 10;
    }

    .sidebar a {
        display:none;
    }

    .sidebar .nav-item{
        width: 25%;
        display: inline-block;
        margin-top: 10px;
        text-align:center;
    }

    .sidebar .nav-item:first-child, .nav-item:last-child {
        margin-left: 6%;
        margin-right: 5%;
    }

    .sidebar .nav img {
        display:none;
    }

    .main-wrapper {
        width:100%;
        padding-left: 20px;
        padding-right: 20px;
    }

    .nav-pills {
        float:none;
        margin:0;
    }

    .sidebar .nav {
        width:100%;
    }

    .bandeau h1 {
        font-size: 20px;
    }

    .bandeau a {
        position: fixed;
        width: 100%;
        left: 0;
        border-radius: 0;
        bottom: 60px;
        text-align: center;
    }

    #cadeau {
        margin-left: -12%;
        margin-right: 16%;
    }

    #cadeau #bouton_visuel {
        margin: 0;
        position: fixed;
        width: 100%;
        left: 0;
        border-radius: 0;
        padding-left: 7px;
        bottom: 60px;
    }

    #cadeau #bouton_image_submit {
        position: fixed;
        bottom: 68px;
        right: 5px;
        padding: 0;
    }

    #cadeau #visuel_cadeau img {
        margin-right: 0;
        margin-bottom: 65px;
        width:100%;
    }

    #cadeau label {
        margin-left:0;
    }

    #cadeau .label_visuel {
        position: fixed;
        bottom: 60px;
        width: 100%;
        left: 0;
        border-radius: 0;
        text-align: center;
    }

    #cadeau .envoi_image {
        position:fixed;
        bottom: 60px;
        right: -3px;
        background: linear-gradient(to right, #c40873, #ee096b);
    }
    .false_card {
        width: 100%;
        margin-top:0;
    }

    .false_card #points {
    display: block;
    width: 100%;
}

    .false_card #points input {
        width: 98%;
    }
    .input-group {
        width: 100%;
    }

    .false_card #description_tache {
        float :none;
        margin-top: 10px;
        margin-left: 0;
        width: 100%;
    }

    .false_card #description_tache input {
        width: 100%;
    }

    #ajout_tache_form input {
        width: 100%;
    }

    .false_card #type label {
        padding-right: 0;
        padding-left: 0;
    }

    .false_card #type_tache {
        width: 100%;
    }

    .false_card #type_tache .btn {
        width: 50%;
    }

    .false_card #responsable_tache select {
        width:100%;
    }

    .false_card #date input {
        width:100%;
    }



    .false_card #annulation_tache {
        width: 50%;
        margin-top: -49px;
        float:left;
    }

    .false_card #validation_tache input {
        margin-top: 10px;
        width:50%;
    }

    .false_card #nom, .false_card #prenom, .false_card #pseudo, .false_card #points_employe {
        display:block;
        margin-left:0;
        margin-right:0;
        width:100%;
    }

    .false_card #points_employe input {
        width:100%;
    }

    .false_card #validation_employe input {
        margin-right:0;
        float:right;
    }

    .false_card #annulation_employe input {
        float:right;
        margin-left: 0;
        margin-right: 123px;
        margin-top: -28px;
    }
}


